Debian Bug report logs - #307126
lbreakout2: Cannot warp with limit set to 0 when more blocks created than destroyed

version graph

Package: lbreakout2; Maintainer for lbreakout2 is Colin Tuckley <colint@debian.org>; Source for lbreakout2 is src:lbreakout2.

Reported by: Ray Kohler <ray_kohler@yahoo.com>

Date: Sun, 1 May 2005 01:48:05 UTC

Severity: normal

Tags: fixed-upstream

Found in version 2.5.2-1

Fixed in version lbreakout2/2.6.3-1

Done: Colin Tuckley <colint@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/?func=detail&aid=2951693&group_id=9301&atid=109301

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#307126; Package lbreakout2. Full text and rfc822 format available.

Acknowledgement sent to Ray Kohler <ray_kohler@yahoo.com>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ray Kohler <ray_kohler@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lbreakout2: Cannot warp with limit set to 0 when more blocks created than destroyed
Date: Sat, 30 Apr 2005 21:39:15 -0400
Package: lbreakout2
Version: 2.5.2-1
Severity: normal

If you set the "warp limit" to 0, you will still be unable to warp if
you have created more blocks with the current ball than you have
destroyed (e.g. if you have hit a lot of the "creates up to 8 bricks on
destruction" blocks), since in effect you will have destroyed less than
0 percent of the blocks.

I suppose a case could be made that this is the correct behavior, but
it's inconsistent with the documentation for the option, and breaks POLA
for most players (or so I would imagine ;)

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.11-powerpc
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages lbreakout2 depends on:
ii  lbreakout2-da 2.5.2-1                    A ball-and-paddle game with nice g
ii  libc6         2.3.2.ds1-21               GNU C Library: Shared libraries an
ii  libpng12-0    1.2.8rel-1                 PNG library - runtime
ii  libsdl-mixer1 1.2.6-1                    mixer library for Simple DirectMed
ii  libsdl1.2debi 1.2.7+1.2.8cvs20041007-4.1 Simple DirectMedia Layer
ii  zlib1g        1:1.2.2-4                  compression library - runtime

-- no debconf information



Set Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&aid=2951693&group_id=9301&atid=109301'. Request was from Colin Tuckley <colin@tuckley.org> to control@bugs.debian.org. (Sun, 14 Feb 2010 21:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Colin Tuckley <colint@debian.org>:
Bug#307126; Package lbreakout2. (Tue, 05 Oct 2010 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Speck <speck.michael@gmail.com>:
Extra info received and forwarded to list. Copy sent to Colin Tuckley <colint@debian.org>. (Tue, 05 Oct 2010 18:09:03 GMT) Full text and rfc822 format available.

Message #12 received at 307126@bugs.debian.org (full text, mbox):

From: Michael Speck <speck.michael@gmail.com>
To: 307126@bugs.debian.org
Subject: Fixed, see SF.
Date: Tue, 5 Oct 2010 20:04:57 +0200




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 07 Oct 2010 16:39:07 GMT) Full text and rfc822 format available.

Reply sent to Colin Tuckley <colint@debian.org>:
You have taken responsibility. (Mon, 11 Jun 2012 21:27:32 GMT) Full text and rfc822 format available.

Notification sent to Ray Kohler <ray_kohler@yahoo.com>:
Bug acknowledged by developer. (Mon, 11 Jun 2012 21:27:32 GMT) Full text and rfc822 format available.

Message #19 received at 307126-close@bugs.debian.org (full text, mbox):

From: Colin Tuckley <colint@debian.org>
To: 307126-close@bugs.debian.org
Subject: Bug#307126: fixed in lbreakout2 2.6.3-1
Date: Mon, 11 Jun 2012 21:08:46 +0000
Source: lbreakout2
Source-Version: 2.6.3-1

We believe that the bug you reported is fixed in the latest version of
lbreakout2, which is due to be installed in the Debian FTP archive:

lbreakout2-data_2.6.3-1_all.deb
  to main/l/lbreakout2/lbreakout2-data_2.6.3-1_all.deb
lbreakout2_2.6.3-1.debian.tar.gz
  to main/l/lbreakout2/lbreakout2_2.6.3-1.debian.tar.gz
lbreakout2_2.6.3-1.dsc
  to main/l/lbreakout2/lbreakout2_2.6.3-1.dsc
lbreakout2_2.6.3-1_amd64.deb
  to main/l/lbreakout2/lbreakout2_2.6.3-1_amd64.deb
lbreakout2_2.6.3.orig.tar.gz
  to main/l/lbreakout2/lbreakout2_2.6.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 307126@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Tuckley <colint@debian.org> (supplier of updated lbreakout2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 10 Jun 2012 17:22:10 +0100
Source: lbreakout2
Binary: lbreakout2 lbreakout2-data
Architecture: source all amd64
Version: 2.6.3-1
Distribution: unstable
Urgency: low
Maintainer: Colin Tuckley <colint@debian.org>
Changed-By: Colin Tuckley <colint@debian.org>
Description: 
 lbreakout2 - ball-and-paddle game with nice graphics
 lbreakout2-data - ball-and-paddle game with nice graphics (DATA FILES)
Closes: 307126 638992 653902
Changes: 
 lbreakout2 (2.6.3-1) unstable; urgency=low
 .
   * New upstream release (Closes: #653902).
     incl upstream fix for warp limit (Closes: #307126)
   * Ack NMU
   * Fix desktop file (Closes: #638992)
Checksums-Sha1: 
 54a6a1798e839c73ffe5365f2581154a49fa6baa 1234 lbreakout2_2.6.3-1.dsc
 6d09ca1e5b50116efb4f17ac86cee53b081c2229 3403150 lbreakout2_2.6.3.orig.tar.gz
 6288a9ebe9e45b88deb728ad4d07f076dca2d563 11061 lbreakout2_2.6.3-1.debian.tar.gz
 d6cabca6f23c1fb0a9407cadec34ba644eeeb4f8 2606206 lbreakout2-data_2.6.3-1_all.deb
 cf3fea137cc7f4da86c6395f0a6288641a605b77 346448 lbreakout2_2.6.3-1_amd64.deb
Checksums-Sha256: 
 661da8a2ec902d2be3b6d12a491db834ff0157cde2ecd66ab25ed8a817f4e14b 1234 lbreakout2_2.6.3-1.dsc
 85a1364510535d8e066b9a25466c667c3da32463e03daf4c998f117afbddef0e 3403150 lbreakout2_2.6.3.orig.tar.gz
 3a3dacdc82a9281367f2cd5e89c82d834de5077f9bf5f14622342055e334e736 11061 lbreakout2_2.6.3-1.debian.tar.gz
 7836d3a0236afb1d6423dcec7f9fdd8c2694512f16063577344ff02c4aa5b98c 2606206 lbreakout2-data_2.6.3-1_all.deb
 78fcba8eef262980206cb94990af1e207ad3d075ee87beae7a7914e8036415e6 346448 lbreakout2_2.6.3-1_amd64.deb
Files: 
 5f1077abb454e1ab282d980f7bee9400 1234 games optional lbreakout2_2.6.3-1.dsc
 43900187bc935475cd6489569cd2230a 3403150 games optional lbreakout2_2.6.3.orig.tar.gz
 ae61e185224348be7f8532063ab976e0 11061 games optional lbreakout2_2.6.3-1.debian.tar.gz
 ec2e51583eb45c76cf8af537ab7b1ac8 2606206 games optional lbreakout2-data_2.6.3-1_all.deb
 3fdfaa99100a1ca7ac8fb081fe5ab247 346448 games optional lbreakout2_2.6.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/WTcwACgkQj2OPlhswRc5I3QCgi63KuLT/xIAToNroM4SP7xo+
z0IAniuW8J5NcmJYBDuIAg4c9b99nO7h
=kP8C
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Jul 2012 07:27:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:37:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.